콜롬비아 — Registraduría(SCCRC) 시민 조회
Registraduría Nacional del Estado Civil (SCCRC)의 출생 민사등록(registro civil de nacimiento)을 콜롬비아 cédula(CC) 번호로 조회합니다.
문서 기반 시민 조회( /v2/co/cedula)와 달리, 이 엔드포인트는 Registraduría만 사용하며 Procuraduría, DIAN, Olimpia를 시도하지 않습니다.
반환 필드
documentNumber,documentTypefirstName,lastName,fullName,arrayNamesexo,serialoficina/expeditionPlace,fecha/dateOfBirth(가능한 경우)recordType—REGISTRO CIVIL DE NACIMIENTO- 서명된 Verifik 응답
API 참조
Endpoint
GET https://api.verifik.co/v2/co/cedula/registraduria
**POST**도 동일합니다. **GET**은 아래 query parameters를 사용합니다.
Headers
| Name | Value |
|---|---|
| Accept | application/json |
| Authorization | Bearer <token> |
Parameters
| name | type | required | description | Examples |
|---|---|---|---|---|
documentType | string | yes | 반드시 CC | CC |
documentNumber | string | yes | 콜롬비아 신분증 번호 | 1032386359 |
Request
- JavaScript
- Python
import axios from "axios";
const { data } = await axios.get("https://api.verifik.co/v2/co/cedula/registraduria", {
params: {
documentType: "CC",
documentNumber: "1032386359",
},
headers: {
Accept: "application/json",
Authorization: `Bearer ${process.env.VERIFIK_TOKEN}`,
},
});
console.log(data);
import os, requests
url = "https://api.verifik.co/v2/co/cedula/registraduria"
headers = {"Accept": "application/json", "Authorization": f"Bearer {os.getenv('VERIFIK_TOKEN')}"}
params = {"documentType": "CC", "documentNumber": "1032386359"}
r = requests.get(url, headers=headers, params=params)
print(r.json())
Response
- 200
- 404
- 409
{
"data": {
"documentType": "CC",
"documentNumber": "1032386359",
"firstName": "LILIA MANUELA",
"lastName": "LESPORT FERNANDEZ",
"fullName": "LILIA MANUELA LESPORT FERNANDEZ",
"arrayName": ["LILIA", "MANUELA", "LESPORT", "FERNANDEZ"],
"sexo": "FEMENINO",
"serial": "0043721066",
"oficina": "NOTARIA 1 VILLANUEVA - LA GUAJIRA",
"expeditionPlace": "NOTARIA 1 VILLANUEVA - LA GUAJIRA",
"fecha": "29 DE DICIEMBRE DE 2009",
"dateOfBirth": "29 DE DICIEMBRE DE 2009",
"recordType": "REGISTRO CIVIL DE NACIMIENTO"
},
"signature": {
"dateTime": "July 22, 2026 12:00 PM",
"message": "Certified by Verifik.co"
}
}
{
"code": "NotFound",
"message": "Record not found."
}
{
"code": "MissingParameter",
"message": "missing documentNumber"
}
기능
- SCCRC 문서 모드 조회 (CC만)
- Procuraduría / DIAN / Olimpia 미사용
- 단일 레코드 응답
- GET과 POST 동일 핸들러